package net.northking.cctp.element.mobile.ios.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

public enum AppEnum implements EnumClass {
    RESTART("重启", "2"),
    ACTIVE("启动", "1"),
    CLOSE("关闭", "0");

    private String key;
    private String value;

    AppEnum(String key, String value){
        this.key = key;
        this.value = value;
    }

    @Override
    public String getEnumData() {
        List<Map<String,Object>> result = new ArrayList<>();
        for (AppEnum nullEnum : EnumSet.allOf(AppEnum.class)) {
            Map<String,Object> one = new HashMap();
            one.put("label",nullEnum.key);
            one.put("value",nullEnum.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}
